using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Defaultability.Domain;

public class TaobaoTbkDgMaterialOptionalUpgradePromotionInfoMapData
{

    /*
        促销信息-预估凑单价（元）。预估凑单叠加优惠后的商品单价
    */
    private string? predictRoundingUpPrice;


    /*
        促销信息-凑单价说明，描述凑单价的实现说明。如 “可凑单”或“需买X件”
    */
    private string? predictRoundingUpPriceDesc;


    /*
        更多活动优惠
    */
    private IList<TaobaoTbkDgMaterialOptionalUpgradeMorePromotionMapData>? morePromotionList;


    /*
        商品信息-一口价通常显示为划线价
    */
    private string? reservePrice;


    /*
        促销信息-销售价格，无促销时等于一口价，有促销时为促销价。若属于预售商品，付定金时间内，在线售卖价=预售价
    */
    private string? zkFinalPrice;


    /*
        促销信息-预估到手价(元)。若属于预售商品，付定金时间内，预估到手价价=定金+尾款的预估到手价
    */
    private string? finalPromotionPrice;


    /*
        到手价优惠路径列表
    */
    private IList<TaobaoTbkDgMaterialOptionalUpgradeFinalPromotionPathMapData>? finalPromotionPathList;


    /*
        预热预估到手价（元）
    */
    private string? futureActivityPromotionPrice;


    /*
        预热到手价优惠路径列表
    */
    private IList<TaobaoTbkDgMaterialOptionalUpgradeFutureActivityPromotionPathMapData>? futureActivityPromotionPathList;


    /*
        标签信息列表
    */
    private IList<TaobaoTbkDgMaterialOptionalUpgradePromotionTagMapData>? promotionTagList;


    /*
        国家补贴
    */
    private TaobaoTbkDgMaterialOptionalUpgradeGovSubsidyDTO? govSubsidy;



    [JsonPropertyName("predict_rounding_up_price")]
    public string? PredictRoundingUpPrice
    {
        get => predictRoundingUpPrice;
        set => this.predictRoundingUpPrice = value;
    }

    [JsonPropertyName("predict_rounding_up_price_desc")]
    public string? PredictRoundingUpPriceDesc
    {
        get => predictRoundingUpPriceDesc;
        set => this.predictRoundingUpPriceDesc = value;
    }

    [JsonPropertyName("more_promotion_list")]
    public IList<TaobaoTbkDgMaterialOptionalUpgradeMorePromotionMapData>? MorePromotionList
    {
        get => morePromotionList;
        set => this.morePromotionList = value;
    }

    [JsonPropertyName("reserve_price")]
    public string? ReservePrice
    {
        get => reservePrice;
        set => this.reservePrice = value;
    }

    [JsonPropertyName("zk_final_price")]
    public string? ZkFinalPrice
    {
        get => zkFinalPrice;
        set => this.zkFinalPrice = value;
    }

    [JsonPropertyName("final_promotion_price")]
    public string? FinalPromotionPrice
    {
        get => finalPromotionPrice;
        set => this.finalPromotionPrice = value;
    }

    [JsonPropertyName("final_promotion_path_list")]
    public IList<TaobaoTbkDgMaterialOptionalUpgradeFinalPromotionPathMapData>? FinalPromotionPathList
    {
        get => finalPromotionPathList;
        set => this.finalPromotionPathList = value;
    }

    [JsonPropertyName("future_activity_promotion_price")]
    public string? FutureActivityPromotionPrice
    {
        get => futureActivityPromotionPrice;
        set => this.futureActivityPromotionPrice = value;
    }

    [JsonPropertyName("future_activity_promotion_path_list")]
    public IList<TaobaoTbkDgMaterialOptionalUpgradeFutureActivityPromotionPathMapData>? FutureActivityPromotionPathList
    {
        get => futureActivityPromotionPathList;
        set => this.futureActivityPromotionPathList = value;
    }

    [JsonPropertyName("promotion_tag_list")]
    public IList<TaobaoTbkDgMaterialOptionalUpgradePromotionTagMapData>? PromotionTagList
    {
        get => promotionTagList;
        set => this.promotionTagList = value;
    }

    [JsonPropertyName("gov_subsidy")]
    public TaobaoTbkDgMaterialOptionalUpgradeGovSubsidyDTO? GovSubsidy
    {
        get => govSubsidy;
        set => this.govSubsidy = value;
    }

}

